
D4Science Infrastructure - Incident #12334

 Please remove orientdb from startup services on orientdb02-d4s.d4science.org and

orientdb03-d4s.d4science.org

Aug 28, 2018 10:12 AM - Luca Frosini

Status: Closed Start date: Aug 28, 2018

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The two instances still restart.

Related issues:

Related to D4Science Infrastructure - Task #11586: Please remove orientdb fro... Closed Apr 06, 2018

Related to D4Science Infrastructure - Task #12335: Restart OrientDB Cluster Closed Aug 28, 2018

History

#1 - Aug 28, 2018 10:12 AM - Luca Frosini

- Related to Task #11586: Please remove orientdb from startup services on orientdb02-d4s.d4science.org and orientdb03-d4s.d4science.org added

#2 - Aug 28, 2018 10:14 AM - Luca Frosini

- Related to Task #12335: Restart OrientDB Cluster added

#3 - Aug 28, 2018 12:01 PM - Andrea Dell'Amico

- Status changed from New to In Progress

I've found the culprit: the letsencrypt hook started the service after a certificate renewal without respecting the fact that the service must stay down.

#4 - Aug 28, 2018 12:03 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Fixed. Now the service is restarted only if it's meant to be running.

#5 - Aug 28, 2018 12:28 PM - Luca Frosini

Thank you
